#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

#define LEVEL_COLOR vec4(0.66, 0.87, 0.96, 1)

#define LEVEL_COLOR2 vec4(1, 1, 1, 1)

bool isLime(vec4 color) {
    return color.r > 126.0 / 255.0 && color.r < 127.0 / 255.0 && color.g == 252.0 / 255.0 && color.b > 31.0 / 255.0 && color.b < 32.0 / 255.0 && color.a == 1.0;
}

void main() {
    vec4 color = texture(Sampler0, texCoord0) * vertexColor * ColorModulator;
    if(color.a < 0.1) {
        discard;
    }
    if(isLime(vertexColor)) {
        color = LEVEL_COLOR;
    }

    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}